import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
export default function FormSelect(_ref) {
  var _cx;

  var className = _ref.className,
      disabled = _ref.disabled,
      onChange = _ref.onChange,
      options = _ref.options,
      prominent = _ref.prominent,
      required = _ref.required,
      title = _ref.title,
      value = _ref.value;
  var selectClassName = cx('sui-FormSelect', className, (_cx = {
    'is-disabled': disabled
  }, _cx["sui-FormSelect--prominent"] = prominent, _cx));

  var wrappedOnChange = function wrappedOnChange(e) {
    return onChange(e, {
      value: e.target.value
    });
  };

  return React.createElement("select", {
    className: selectClassName,
    disabled: disabled,
    onChange: wrappedOnChange,
    title: title,
    value: value,
    required: required
  }, options.map(function (_ref2, index) {
    var content = _ref2.content,
        key = _ref2.key,
        value = _ref2.value;
    var optionKey = key || index;
    return React.createElement("option", {
      key: optionKey,
      value: value
    }, content);
  }));
}
FormSelect.displayName = 'FormSelect'; // Remove these comments if you need